%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define url_ver		%(echo %{version}|cut -d. -f1,2)

Summary:	NetworkManager VPN integration for openconnect
Name:		networkmanager-openconnect
Version:	1.2.6
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source:		https://download.gnome.org/sources/NetworkManager-openconnect/%{url_ver}/NetworkManager-openconnect-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnma) >= %{nmversion}
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openconnect)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	intltool
BuildRequires:	gettext
Requires:	openconnect

%description
This package contains software for integrating the openconnect VPN software
with NetworkManager

%prep
%setup -q -n NetworkManager-openconnect-%{version}
%apply_patches

%build
%configure2_5x \
    --disable-static \
    --without-libnm-glib \
    --with-gnome \
    --with-authdlg \
    --disable-more-warnings
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

%find_lang NetworkManager-openconnect

%pre
%{_sbindir}/groupadd -r nm-openconnect &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d / -M \
                     -c 'NetworkManager user for OpenConnect' \
                     -g nm-openconnect nm-openconnect &>/dev/null || :

%files -f NetworkManager-openconnect.lang
%{_libdir}/NetworkManager/lib*.so*
%{_usr}/lib/NetworkManager/VPN/nm-openconnect-service.name
%{_libexecdir}/nm-openconnect-auth-dialog
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-openconnect-service.conf
%{_libexecdir}/nm-openconnect-service
%{_libexecdir}/nm-openconnect-service-openconnect-helper
%{_datadir}/appdata/network-manager-openconnect.metainfo.xml
%{_datadir}/gnome-vpn-properties/openconnect


%changelog
* Tue Aug 02 2022 tex - 1.2.6-1pclos2022
- new version 1.2.6
